# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'addressbook_ui.ui'
#
# Created: Thu Feb 21 12:01:58 2013
#      by: pyside-uic 0.2.14 running on PySide 1.1.2
#
# WARNING! All changes made in this file will be lost!

from PySide import QtCore, QtGui

class Ui_AddressBook(object):
    def setupUi(self, AddressBook):
        AddressBook.setObjectName("AddressBook")
        AddressBook.resize(664, 460)
        self.horizontalLayout_2 = QtGui.QHBoxLayout(AddressBook)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.verticalLayout_2 = QtGui.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtGui.QLabel(AddressBook)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.searchLabel = QtGui.QLineEdit(AddressBook)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.searchLabel.sizePolicy().hasHeightForWidth())
        self.searchLabel.setSizePolicy(sizePolicy)
        self.searchLabel.setObjectName("searchLabel")
        self.horizontalLayout.addWidget(self.searchLabel)
        self.pushButton = QtGui.QPushButton(AddressBook)
        self.pushButton.setMaximumSize(QtCore.QSize(20, 16777215))
        self.pushButton.setObjectName("pushButton")
        self.horizontalLayout.addWidget(self.pushButton)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.contactsTree = QtGui.QTreeWidget(AddressBook)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.contactsTree.sizePolicy().hasHeightForWidth())
        self.contactsTree.setSizePolicy(sizePolicy)
        self.contactsTree.setObjectName("contactsTree")
        self.verticalLayout_2.addWidget(self.contactsTree)
        self.horizontalLayout_2.addLayout(self.verticalLayout_2)
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.contactsTable = QtGui.QTableWidget(AddressBook)
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Expanding, QtGui.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.contactsTable.sizePolicy().hasHeightForWidth())
        self.contactsTable.setSizePolicy(sizePolicy)
        self.contactsTable.setEditTriggers(QtGui.QAbstractItemView.NoEditTriggers)
        self.contactsTable.setHorizontalScrollMode(QtGui.QAbstractItemView.ScrollPerPixel)
        self.contactsTable.setRowCount(0)
        self.contactsTable.setColumnCount(2)
        self.contactsTable.setObjectName("contactsTable")
        self.contactsTable.setColumnCount(2)
        self.contactsTable.setRowCount(0)
        item = QtGui.QTableWidgetItem()
        self.contactsTable.setHorizontalHeaderItem(0, item)
        item = QtGui.QTableWidgetItem()
        self.contactsTable.setHorizontalHeaderItem(1, item)
        self.contactsTable.horizontalHeader().setStretchLastSection(True)
        self.contactsTable.verticalHeader().setVisible(False)
        self.verticalLayout.addWidget(self.contactsTable)
        self.imageLabel = QtGui.QLabel(AddressBook)
        self.imageLabel.setFrameShape(QtGui.QFrame.Box)
        self.imageLabel.setFrameShadow(QtGui.QFrame.Raised)
        self.imageLabel.setText("")
        self.imageLabel.setAlignment(QtCore.Qt.AlignCenter)
        self.imageLabel.setMargin(1)
        self.imageLabel.setObjectName("imageLabel")
        self.verticalLayout.addWidget(self.imageLabel)
        self.horizontalLayout_2.addLayout(self.verticalLayout)
        self.horizontalLayout_2.setStretch(1, 1)

        self.retranslateUi(AddressBook)
        QtCore.QObject.connect(self.pushButton, QtCore.SIGNAL("clicked()"), self.searchLabel.clear)
        QtCore.QMetaObject.connectSlotsByName(AddressBook)

    def retranslateUi(self, AddressBook):
        AddressBook.setWindowTitle(QtGui.QApplication.translate("AddressBook", "Address Book Browser", None, QtGui.QApplication.UnicodeUTF8))
        self.label.setText(QtGui.QApplication.translate("AddressBook", "Search", None, QtGui.QApplication.UnicodeUTF8))
        self.pushButton.setText(QtGui.QApplication.translate("AddressBook", "X", None, QtGui.QApplication.UnicodeUTF8))
        self.contactsTree.headerItem().setText(0, QtGui.QApplication.translate("AddressBook", "Name", None, QtGui.QApplication.UnicodeUTF8))
        self.contactsTree.headerItem().setText(1, QtGui.QApplication.translate("AddressBook", "ID", None, QtGui.QApplication.UnicodeUTF8))
        self.contactsTable.horizontalHeaderItem(0).setText(QtGui.QApplication.translate("AddressBook", "Key", None, QtGui.QApplication.UnicodeUTF8))
        self.contactsTable.horizontalHeaderItem(1).setText(QtGui.QApplication.translate("AddressBook", "Value", None, QtGui.QApplication.UnicodeUTF8))

